--- old/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:10:34.963944061 -0400
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:10:34.970900228 -0400
@@ -178,44 +178,34 @@
 static int	segdev_gettype(struct seg *, caddr_t);
 static int	segdev_getvp(struct seg *, caddr_t, struct vnode **);
 static int	segdev_advise(struct seg *, caddr_t, size_t, uint_t);
-static void	segdev_dump(struct seg *);
 static int	segdev_pagelock(struct seg *, caddr_t, size_t,
 		    struct page ***, enum lock_type, enum seg_rw);
-static int	segdev_setpagesize(struct seg *, caddr_t, size_t, uint_t);
 static int	segdev_getmemid(struct seg *, caddr_t, memid_t *);
-static lgrp_mem_policy_info_t	*segdev_getpolicy(struct seg *, caddr_t);
-static int	segdev_capable(struct seg *, segcapability_t);
 
 /*
  * XXX	this struct is used by rootnex_map_fault to identify
  *	the segment it has been passed. So if you make it
  *	"static" you'll need to fix rootnex_map_fault.
  */
-struct seg_ops segdev_ops = {
-	segdev_dup,
-	segdev_unmap,
-	segdev_free,
-	segdev_fault,
-	segdev_faulta,
-	segdev_setprot,
-	segdev_checkprot,
-	(int (*)())segdev_badop,	/* kluster */
-	(size_t (*)(struct seg *))NULL,	/* swapout */
-	segdev_sync,			/* sync */
-	segdev_incore,
-	segdev_lockop,			/* lockop */
-	segdev_getprot,
-	segdev_getoffset,
-	segdev_gettype,
-	segdev_getvp,
-	segdev_advise,
-	segdev_dump,
-	segdev_pagelock,
-	segdev_setpagesize,
-	segdev_getmemid,
-	segdev_getpolicy,
-	segdev_capable,
-	seg_inherit_notsup
+const struct seg_ops segdev_ops = {
+	.dup		= segdev_dup,
+	.unmap		= segdev_unmap,
+	.free		= segdev_free,
+	.fault		= segdev_fault,
+	.faulta		= segdev_faulta,
+	.setprot	= segdev_setprot,
+	.checkprot	= segdev_checkprot,
+	.kluster	= (int (*)())segdev_badop,
+	.sync		= segdev_sync,
+	.incore		= segdev_incore,
+	.lockop		= segdev_lockop,
+	.getprot	= segdev_getprot,
+	.getoffset	= segdev_getoffset,
+	.gettype	= segdev_gettype,
+	.getvp		= segdev_getvp,
+	.advise		= segdev_advise,
+	.pagelock	= segdev_pagelock,
+	.getmemid	= segdev_getmemid,
 };
 
 /*
@@ -432,7 +422,7 @@
 		 * Mappings of /dev/null don't count towards the VSZ of a
 		 * process.  Mappings of /dev/null have no mapping type.
 		 */
-		if ((SEGOP_GETTYPE(seg, (seg)->s_base) & (MAP_SHARED |
+		if ((segop_gettype(seg, seg->s_base) & (MAP_SHARED |
 		    MAP_PRIVATE)) == 0) {
 			seg->s_as->a_resvsize -= seg->s_size;
 		}
@@ -2381,14 +2371,6 @@
 }
 
 /*
- * segdev pages are not dumped, so we just return
- */
-/*ARGSUSED*/
-static void
-segdev_dump(struct seg *seg)
-{}
-
-/*
  * ddi_segmap_setup:	Used by drivers who wish specify mapping attributes
  *			for a segment.	Called from a drivers segmap(9E)
  *			routine.
@@ -2480,14 +2462,6 @@
 	return (ENOTSUP);
 }
 
-/*ARGSUSED*/
-static int
-segdev_setpagesize(struct seg *seg, caddr_t addr, size_t len,
-    uint_t szc)
-{
-	return (ENOTSUP);
-}
-
 /*
  * devmap_device: Used by devmap framework to establish mapping
  *                called by devmap_seup(9F) during map setup time.
@@ -4032,20 +4006,6 @@
 	return (0);
 }
 
-/*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segdev_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
-static int
-segdev_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 /*
  * ddi_umem_alloc() non-pageable quantum cache max size.
  * This is just a SWAG.
